For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
Dashboard
LogoLogo
DocsAPI Reference
  • OCPPLAB Gateway API
        • GETList locations in a network
        • POSTBulk-create OCPI locations (durable)
        • GETGet bulk location-create job status
        • GETGet OCPI location
        • DELDelete OCPI location
        • PATCHUpdate OCPI location
OCPPLAB Gateway APIOCPIOcpi Locations

Get OCPI location

||View as Markdown|
GET
https://host.com/ocpi/cpos/:cpo_id/locations/:location_id
GET
/ocpi/cpos/:cpo_id/locations/:location_id
1import requests
2
3url = "https://host.com/ocpi/cpos/cpo_id/locations/location_id"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "id": "loc-42",
3 "ocpp_location_id": "ocpp-loc-42",
4 "organization_id": "1f8d2d8e-0c43-4c2a-9b0a-6d6b4f5c2a11",
5 "slug": "la-defense-charging-hub-ab12cd34",
6 "name": "La Defense Charging Hub",
7 "address": "14 Rue de la Paix",
8 "city": "Paris",
9 "country": "FR",
10 "coordinates": {
11 "latitude": 48.8566,
12 "longitude": 2.3522
13 },
14 "timezone": "Europe/Paris",
15 "owner_name": "VINCI Autoroutes",
16 "public": true,
17 "chargers": [
18 {
19 "id": "dep-001",
20 "identity": "SITE_A_001",
21 "connector_type": "CCS2",
22 "ocpp_version": "OCPP1.6"
23 }
24 ],
25 "created_at": "2026-04-16T10:15:30Z",
26 "updated_at": "2026-04-16T10:15:30Z"
27}

Retrieve one OCPI location by its internal identifier. The location must belong to the supplied cpo_id and to the current organization, otherwise a 404 is returned.

Was this page helpful?
Previous

Get bulk location-create job status

Next

Delete OCPI location

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cpo_idstringRequiredformat: "^\d+$"

CPO identifier — the stringified integer returned by POST /ocpi/cpos (backed by ocpp.partner_operations.id).

location_idstringRequired

Internal OCPI location identifier (ocpp.ocpi_locations.id).

Response

Location retrieved successfully
idstring
ocpp_location_idstring or null
organization_idstring or null
slugstring or null
namestring or null
addressstring or null
citystring or null
countrystring or null
coordinatesobject or null

Latitude/longitude pair accepted by the OCPI location API.

timezonestring or null
owner_namestring or null
publicboolean or null
chargerslist of objects
created_atdatetime or null
updated_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error